## org.apache.cassandra.db.context
Enum IContext.ContextRelationship

    java.lang.Object
      java.lang.Enum<IContext.ContextRelationship>
          org.apache.cassandra.db.context.IContext.ContextRelationship

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IContext.ContextRelationship>

Enclosing interface:
  IContext

    public static enum IContext.ContextRelationship

extends java.lang.Enum<IContext.ContextRelationship>

Enum Constant Summary
`DISJOINT`
`EQUAL`
`GREATER_THAN`
`LESS_THAN`

Method Summary
`static IContext.ContextRelationship` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IContext.ContextRelationship[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUAL

    public static final IContext.ContextRelationship EQUAL

### GREATER_THAN

    public static final IContext.ContextRelationship GREATER_THAN

### LESS_THAN

    public static final IContext.ContextRelationship LESS_THAN

### DISJOINT

    public static final IContext.ContextRelationship DISJOINT

Method Detail

### values

    public static IContext.ContextRelationship[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IContext.ContextRelationship c : IContext.ContextRelationship.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IContext.ContextRelationship valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2012 The Apache Software Foundation